from Fig import Fig
from Numeric import *

def Cut(QCAtoms, P, A, data):
    fig = Fig("test.fig")
    meshdata = QCAtoms.GetMeshData()
    R = meshdata.GetNodePositions()[:]
    p0 = array((dot(P, A[0]), dot(P, A[1]), dot(P, A[2])))
    for r in R:
	rc = array(r)
	for i in range(3):
	    r[i] = dot(rc, A[i])
    minData = 100000.0
    maxData = -100000.0
    elements = []
    for e in xrange(meshdata.GetNumberOfElements()):
	nodesAbove = 0
	nodesBelow = 0
	for n in range(4):
	    m = meshdata.GetNode(e, n)
	    if(R[m][2] > p0[2]):
		nodesAbove = 1
	    else:
		nodesBelow = 1
	if(nodesAbove == 1 and nodesBelow == 1):
	   elements.append(e)
	   minData = min(minData, data[e])
	   maxData = max(maxData, data[e])
    scale = 255.0 / (maxData - minData)
    for e in elements:
	nodesAbove = []
	nodesBelow = []
	for n in range(4):
	    m = meshdata.GetNode(e, n)
	    if(R[m][2] > p0[2]):
		nodesAbove.append(m)
	    else:
		nodesBelow.append(m)
	if(len(nodesAbove) == 1):
	    edges = [[0, 0], [0, 1], [0, 2]]
	elif(len(nodesAbove) == 2):
	    edges = [[0, 0], [0, 1], [1, 1], [1, 0]]
	elif(len(nodesAbove) == 3):
	    edges = [[0, 0], [1, 0], [2, 0]]
	else:
	    edges = []
	points = []
	for n1, n2 in edges:
	    m1 = nodesAbove[n1]
	    m2 = nodesBelow[n2]
	    t = (p0[2] - R[m1][2]) / (R[m2][2] - R[m1][2])
	    points.append([R[m1][0] * (1.0 - t) + R[m2][0] * t - p0[0],
			   R[m1][1] * (1.0 - t) + R[m2][1] * t - p0[1]])
	    fig.Polygon(points, int(0.5 + scale * (data[e] - minData)))

