#include "DiscreteAvalanche.h"
#include "CmdLineParser.h"
#include "DMLastHeader.h"

CmdLineParser::CmdLineParser( int argc, char *argv[] )
{
	bHaveInputFile = false;

	if (argc==2) {
		inputFilename = std::string( argv[1] );
		bHaveInputFile = true;
	}
}

bool CmdLineParser::HaveInputFile()
{
	return bHaveInputFile;
}

const std::string& CmdLineParser::InputFile()
{
	return inputFilename;
}