#ifndef _FIXED_AVALANCHE_START_H_
#define _FIXED_AVALANCHE_START_H_

#include "DMFirstHeader.h"
#include "DiscreteAvalanche.h"
#include "AvalancheStart.h"

//! Starts avalanches for FixedFieldAvalanche algorithms.
class FixedFieldAvalancheStart : public AvalancheStart
{
public:
	//! Tell this which algorithm it's working with before we begin.
	virtual void SetAlgorithm( FixedFieldAvalanche* avalanche ) PUREVIRTUAL;
};

#endif //_FIXED_AVALANCHE_START_H_