
%{
#include "NetCDFCheckpointer.h"
%}

class NetCDFCheckpointer : public Checkpointer {
public:
	NetCDFCheckpointer();

	void SetFrequency( int uiSeconds );
	
	void SetFrequencyMinutes( int iMinutes ) {
		this->SetFrequency( 60*iMinutes );
	}

	void SetSerializable( Serializable* serial );

	int GetNextCheckpoint( int uiCurrentTime,
		int uiEndTime );

	void Checkpoint( void );
};
