// KMCInitializer.h: interface for the KMCInitializer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef KMCINITIALIZER_H
#define KMCINITIALIZER_H

#ifndef SWIG
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#endif // SWIG

#include "KMCLattice.h"
#include "Introspective.h"

class KMCInitializer : public Introspective
{
public:
	KMCInitializer();
	virtual ~KMCInitializer();

	virtual void Initialize(KMCLattice *lattice) = 0;
};

#endif // !defined(KMCINITIALIZER_H)
