// MD.h : main header file for the MD application
//
/*********************************************************************************

    Copyright (C) 2005 Nicholas P. Bailey, Thierry Cretegny, Andrew J. Dolgert,
    Christopher R. Myers, Jakob Schiotz, James P. Sethna, Valerie R. Coffman

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by the
    Free Software Foundation; either version 2.1 of the License, or (at your
    option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
    for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA or visit
    http://www.gnu.org/licenses/lgpl.html

    Author Contact Information:
    Jim Sethna      
    sethna@lassp.cornell.edu  
    117 Clark Hall
    Cornell University
    Ithaca, NY 14850

**********************************************************************************/

/*!
 \defgroup windows
 */

#if !defined(AFX_MD_H__DB1C94F8_0CD1_42A7_94C8_7F4BF10343FC__INCLUDED_)
#define AFX_MD_H__DB1C94F8_0CD1_42A7_94C8_7F4BF10343FC__INCLUDED_

// DigitalMaterial
#pragma warning(disable:4786) // turns off spurious Windows STL warnings
// The target OS define shown below has to be defined before windows.h is
// loaded, so it goes in stdafx.h.  We'll never remember that, so I
// mention it here. - Drew
//#define _WIN32_WINNT 0x0400 // This says our target is WinNT 3.51 and later
// Undefining _WIN32_WINNT will still compile.  The difference is some
// nicer, safer thread calls in WinThread.h.

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMDApp:
// See MD.cpp for the implementation of this class
//
/*! \ingroup windows */

class CMDApp : public CWinApp
{
public:
	CMDApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMDApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL
	virtual int ExitInstance();

// Implementation
	//{{AFX_MSG(CMDApp)
	afx_msg void OnAppAbout();
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MD_H__DB1C94F8_0CD1_42A7_94C8_7F4BF10343FC__INCLUDED_)
