import string, Gnuplot, Scientific.Statistics.Histogram

def histoplot(files):

    p = Gnuplot.Gnuplot()
    p('set data style linespoints')

    sets = []
    for file in files:
        f = open(file, 'r')
        lines = map(string.atof, f.readlines())
        h = Scientific.Statistics.Histogram.Histogram(lines, 10)
        h.normalize()
        sets.append(h)

    p.plot(sets)
    return sets, p
