#ifndef FIELDMOVER_H
#define FIELDMOVER_H

#ifdef _DEBUG
#include <assert.h>
#endif

#include "DigitalMaterial.h"
#include "FieldCollection.h"
#include "Field.h"
#include "RightHandSide.h"

//#include "Introspective.h"
//#include "Clonable.h"


class FieldMover //: public Introspective, public Cloneable
{
	protected:
		RightHandSide * rhs;
	public:
		virtual bool SetRightHandSide(RightHandSide *r) { rhs=r; return(true); }
#ifndef SWIG
		FieldMover();
		FieldMover(RightHandSide *RHS);
		FieldMover(const FieldMover & fmver);
		virtual ~FieldMover();
		virtual RightHandSide * GetRightHandSide() const  { return(rhs); }
		// virtual bool Move(Field ** field, int n)=0;
		virtual bool Move(FieldCollection & fields)=0;
#endif //SWIG
};


#endif
