#include "ConstantFieldInitializer.h"

ConstantFieldInitializer::ConstantFieldInitializer() : FieldInitializer(), value_of_field(0.0) 
{
	// Introspective things and so on
}

ConstantFieldInitializer::ConstantFieldInitializer(Real value) : FieldInitializer(), value_of_field(value)
{
	// Introspective things and so on
}

ConstantFieldInitializer::ConstantFieldInitializer(const ConstantFieldInitializer & initializer) : FieldInitializer(initializer), value_of_field(initializer.GetValueOfField())
{
	// No introspective - done by initializer
}

