#include "DiffusionEquation.h"
#include <typeinfo>


DiffusionEquation::DiffusionEquation(void) : RightHandSide(), diffusivity(0.0)
{
	// introspective
}

DiffusionEquation::DiffusionEquation(const DiffusionEquation &deq) : RightHandSide(deq), diffusivity(deq.GetDiffusivity())
{
}

DiffusionEquation::~DiffusionEquation(void)
{	
	diffusivity=0.0;
}

bool DiffusionEquation::RHS(const FieldCollection & input, FieldCollection & output)
{
	Equal[output[0]][input[0]];
	Laplace[output[0]];
	return(true);
}

//bool DiffusionEquation::RHS(Field ** phi)
//{
//	Laplace[phi[0][0]];
//	//phi[0][0]*=-1.0;
//	return(true);
//}
