// DMMain.cpp : main loop to check DMMATRIX
#include "DMFirstHeader.h"
#include <iostream>
#include <vector>
#include "DigitalMaterial.h"
#include "DMMatrix.h"
#include "DMLastHeader.h"

using namespace std;

void main(int argv, char **argc)
{
	vector<int> atomsOutsideElement(0) ;
    DMMATRIX<int, DIMENSION> sLatticeIndices(5) ;
    int i, j;
	cout << "The Original sLatticeIndices: " << endl ;
	for (i=0; i<sLatticeIndices.Size(); ++i) {
		for (j=0; j<DIMENSION; ++j) {
			sLatticeIndices[i][j] = i+j ;
			cout << sLatticeIndices[i][j] << " " ;
		}
		cout << endl ;
	}

	for (i=0; i<sLatticeIndices.Size(); ++i) {
		if (i % 2) { // target odd entries
			atomsOutsideElement.push_back(i) ;
		}
	}
    
	// get rid of odd entries
	for (i=atomsOutsideElement.size()-1; i>=0; --i) { // we have to do this reversely
		cout << " remove entry: " << atomsOutsideElement[i] ;
		sLatticeIndices.RemoveElement(atomsOutsideElement[i]) ;
	}
    cout << endl ;

	cout << "The Modified sLatticeIndices: " << endl ;
	for (i=0; i<sLatticeIndices.Size(); ++i) {
		for (j=0; j<DIMENSION; ++j) {
			cout << sLatticeIndices[i][j] << " " ;
		}
		cout << endl ;
	}
}
