	SpinLattice spins;
	static const int N = 10;
	spins.SetLength(N);
	int i;
	for (i=0; i<N*N; i++) {
		int j = i%2;
		spins.flip(i,j+j-1 );
	}
	NetCDFWriter scriven("lattice.cdf");
	scriven.Put( &spins, "lattice" );

	SpinLattice *pSpins;
	NetCDFReader lecteur("lattice.cdf");
	pSpins = dynamic_cast<SpinLattice*>(lecteur.Get("lattice"));
	for (i=0; i<N*N; i++) {
		int j = i%2;
		if ((j+j-1) != spins.Get(i)) {
			throw DMException("main","spintest","notequal");
		}
	}
