#ifndef _XY_DATA_H_
#define _XY_DATA_H_

#include "DiscreteAvalanche.h"

//! Abstract interface to classes with X-Y double data.
class XYData
{
public:
	virtual double GetX( int PointIdx ) const PUREVIRTUAL;
	virtual double GetY( int PointIdx ) const PUREVIRTUAL;
	virtual int GetPointCnt( ) const PUREVIRTUAL;
};

#endif // _XY_DATA_H_
