import string
import types
import tempfile
import os

def isString(arg):
    if type(arg) is not types.StringType:
        raise TypeError, "argument must be a string"
        return 0
    else:
        return 1
    
class SystemCall:

    def __init__(self, command='', options=''):
        if isString(command): self.command = command
        if isString(options): self.options = options
        self.infile  = None
        self.outfile = None
        self.__hasRun = 0

    def AppendOption(self, option):
        if type(option) is not types.StringType:
            raise TypeError, "command must be a string."
        self.command = self.command + command

    def SetInputFile(self, infile):
        self.infile = infile

    def SetOutputFile(self, outfile):
        self.outfile = outfile

    def SetTemporaryOutputFile(self):
        self.outfile = tempfile.mktemp()

    def run(self):
        self.fullcommand = self.command + ' ' + self.options
        if self.infile is not None: 
            self.fullcommand = self.fullcommand + ' < ' + self.infile
        if self.outfile is not None: 
            self.fullcommand = self.fullcommand + ' > ' + self.outfile
        self.status = os.system(self.fullcommand)
        if self.status == 0: self.__hasRun = 1

    def hasRun(self): return self.__hasRun
    def hasNotRun(self): return not self.__hasRun


if __name__ == '__main__':
    test = SystemCall('echo Hello, World')
    test.run()

