#include <stdio.h>
#include "Index.h"
 
int main(void);

int main(void) 
{
	size_t l;
	int i;
	int x[DIMENSION], y[DIMENSION], enn[DIMENSION];
	Index a(x), b(y), c;
	char qpqpqp[64];

	a.Print("a"); 
	b.Print("b");
	c.Print("c");

	cin >> a;

	a.Print("a");

	#if DIMENSION==2
		Index p(22,22);
	#elif DIMENSION==3
		Index p(33,33,33);
	#else 
		Index p;
	#endif

	cout << "This is 'p': " << p << endl;

	for (i=0; i<DIMENSION; i++) cin >> p[i];
	for (i=0; i<DIMENSION; i++) cout << p(i) << " ";
	cout << endl;

	cout << "Pointer to 'p': " << p(enn) << endl;
	for (i=0; i<DIMENSION; i++) cout << p(enn)[i] << " ";
	cout << endl;
	Index q(p(enn));
	q.Print("q=p");
	cout << "q.IsPositive()=" << q.IsPositive() << endl;
    cout << "(p==q)=" << (p==q) << endl;
    cout << "(p!=q)=" << (p!=q) << endl;
    cout << "p.IsInBox(2*q)=" << p.IsInBox(q*=2.0) << endl;

	q.Zero(); q.Print("q.Zero()");

    cout << "q.IsPositive()=" << q.IsPositive() << endl;
    cout << "(p==q)=" << (p==q) << endl;
    cout << "(p!=q)=" << (p!=q) << endl;
    cout << "p.IsInBox(2*q)=" << p.IsInBox(q*=2.0) << endl;

	p*=2; p.Print("p=p*2");
	p/=2; p.Print("p=p/2");
	p+=a; p.Print("p=p+a");
	p-=a; p.Print("p=p-a");
	p=a;  p.Print("p=a");

	cout << "p.Volume()=" << p.Volume() << endl;
	//cout << "p.FFTWRealVolume()=" << p.FFTWRealVolume() << endl;

	for ( ; !p.IsPositive(); ) {
		cout << "Enter Positive Values: ";
		cin >> p;
	}


	p.Print("p"); q.Print("q");
	cout << "q.IsInBox(p)=" << q.IsInBox(p) << endl;

	for (q.Zero(); q.IsInBox(p); q.NextInBox(p)) {
		sprintf(qpqpqp, "q_%u", q(p));
		q.Print(qpqpqp);
	}

	cout << "Enter p: ";
	cin >> p;
	cout << "Enter q: ";
	cin >> q;
	cout << "Enter i: ";
	cin >> i;

	p%=q; p.Print("(p%=q)");
	q%=i; q.Print("(q%=i)");

	Index xx, yy;
	for (i=1; i<10; i++) {
		xx.Initialize(i);
		cout << "yy.MakeFFTWBox(" << xx << ")=" << yy.MakeFFTWBox(xx) << " => ";
		yy.Print("yy");
	}

	cout << "Enter p: ";
	cin >> p;
	cout << "Enter q: ";
	cin >> q;
	cout << "p=" << p << " q=" << q << endl;
	cout << "l=p(q)=" << (l=p(q)) << endl;
	cout << "p.WhereInBox(l, q)=" << (p.WhereInBox(q, l));
	cout << " => p=" << p << endl;
	return(1);
}
