#ifndef OPERATORSPLITFIELDMOVER_H
#define OPERATORSPLITFIELDMOVER_H

#ifdef _DEBUG
#include <assert.h>
#endif

#include "DigitalMaterial.h"
#include "FieldCollection.h"
#include "Field.h"
#include "SplitRightHandSide.h"

//#include "Introspective.h"
//#include "Clonable.h"


class OperatorSplitFieldMover //: public Introspective, public Cloneable
{
	protected:
		SplitRightHandSide * split_rhs;
	public:
		virtual bool SetSplitRightHandSide(SplitRightHandSide *sr) { split_rhs=sr; return(true); }
#ifndef SWIG
		OperatorSplitFieldMover();
		OperatorSplitFieldMover(SplitRightHandSide *SRHS);
		OperatorSplitFieldMover(const OperatorSplitFieldMover & fmver);
		virtual ~OperatorSplitFieldMover();
		virtual SplitRightHandSide * GetSplitRightHandSide() const  { return(split_rhs); }
		virtual bool Move(FieldCollection & fields)=0;
#endif //SWIG
};


#endif
