#ifndef RIGHTHANDSIDE_H
#define RIGHTHANDSIDE_H

#ifdef _DEBUG
#include <assert.h>
#endif

#include "DigitalMaterial.h"
#include "FieldCollection.h"
#include "Field.h"

//#include "Introspective.h"
//#include "Clonable.h"


class RightHandSide //: public Introspective, public Cloneable
{
#ifndef SWIG
	public:
		RightHandSide();
		RightHandSide(const RightHandSide &rhs);
		virtual ~RightHandSide();

		// virtual bool RHS(Field ** phi)=0;
		virtual bool RHS(const FieldCollection & input, FieldCollection & output) =0;
		// const might be not a good idea because internal
		// workspace of RightHandSide might change?????
#endif //SWIG
};


#endif
