#ifdef _WINDOWS
#include "stdafx.h"
#endif // _WINDOWS
#include "SubjectObserver.h"
#include <new>
#include <assert.h>

using namespace std;

Subject::Subject(void)
{
	_observers = new(nothrow) std::list<FieldObserver*>;
	#ifdef _DEBUG
		assert(_observers!=ZERO);
	#endif
}

Subject::~Subject(void)
{
	delete _observers;
}

void Subject::Notify(void)
{
	std::list<FieldObserver*>::iterator i=_observers->begin();
	while (i!=_observers->end()) {
		(*i)->LookAt(this);
		i++; 
	}
}

FieldObserver::FieldObserver(void) { }

FieldObserver::~FieldObserver(void) { }
