#ifndef __FACE_H__
#define __FACE_H__

#include <iostream>

class Face
{
public:
    Face() {}
    Face(int n0, int n1, int n2);
    bool operator<(const Face &face) const;
    int FindNode(int node) const;
    void Flip();
    friend std::ostream& operator<<(std::ostream& out, const Face& f);
    friend std::istream& operator>>(std::istream& out, Face& f);
public:
    int nodes[3];
};

#endif // __FACE_H__
